Bug 537370 - (CVE-2009-3909) CVE-2009-3909 Gimp: Integer overflow in the PSD image file plugin
CVE-2009-3909 Gimp: Integer overflow in the PSD image file plugin
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=vendorsec,repo...
: Security
Depends On: 518003 537807 537808 714126 714127 714128
Blocks: 714114
  Show dependency treegraph
 
Reported: 2009-11-13 06:07 EST by Jan Lieskovsky
Modified: 2016-03-04 07:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gimp-2.2.13-psd-hardening.patch (1.16 KB, patch)
2009-11-30 11:59 EST, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2009-11-13 06:07:32 EST
Stefan Cornelius of Secunia Research reported an integer overflow,
leading to heap-based buffer overflow, present in Gimp's Adobe's
Photoshop (PSD) image file plugin. A remote attacker could
provide a specially-crafted PSD image file, which once opened
by a local, unsuspecting user would lead to denial of service
(GIMP PSD plugin crash). 

Upstream patch:
---------------
http://git.gnome.org/cgit/gimp/commit/?h=gimp-2-6&id=88eccea84aa375197cc04a2a0e2e29debb56bfa5

The another PSD related commit might be needed too though:
http://git.gnome.org/cgit/gimp/commit/?h=gimp-2-6&id=687ec47914ec08d6e460918cb641c196d80140a3

Acknowledgements:

Red Hat would like to thank Stefan Cornelius of Secunia Research for reporting this flaw.
Comment 1 Jan Lieskovsky 2009-11-13 06:11:39 EST
This issue affects the versions of the gimp package, as shipped
with Red Hat Enterprise Linux 4, and 5.

This issue did NOT affect the version of the gimp package, as
shipped with Red Hat Enterprise Linux 6.

This issue did NOT affect the versions of the gimp package, as shipped
with Fedora release of 13 and 14.
Comment 5 Fedora Update System 2009-11-17 08:23:10 EST
gimp-2.6.7-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gimp-2.6.7-3.fc11
Comment 6 Fedora Update System 2009-11-17 08:23:20 EST
gimp-2.6.7-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gimp-2.6.7-3.fc12
Comment 7 Jan Lieskovsky 2009-11-17 11:14:54 EST
The Gimp package update is scheduled for Fedora 10 release too, but is
currently blocked by the following bug 518003.

  Once this blocker is solved, The Gimp in Fedora 10 will be updated.

See also: 
  https://bugzilla.redhat.com/show_bug.cgi?id=518003#c2
Comment 11 Nils Philippsen 2009-11-30 11:59:36 EST
Created attachment 374811 [details]
gimp-2.2.13-psd-hardening.patch

This is the patch I plan to apply to RHEL-5.
Comment 13 Jan Lieskovsky 2011-05-06 08:53:13 EDT
Statement:

Vulnerable. This issue affects gimp packages in Red Hat Enterprise Linux 4 and 5. This issue does not affect gimp package in Red Hat Enterprise Linux 6.
Comment 16 Nils Philippsen 2011-06-29 04:20:42 EDT
Comment on attachment 374811 [details]
gimp-2.2.13-psd-hardening.patch

This doesn't fix the problem completely.
Comment 19 errata-xmlrpc 2012-08-20 09:44:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1181 https://rhn.redhat.com/errata/RHSA-2012-1181.html

Note You need to log in before you can comment on or make changes to this bug.